Cyberduck Mountain Duck CLI

#9961 closed defect (fixed)

Shortcut to Copy URL for S3 object returns different URL format

Reported by: mikeb Owned by: dkocher
Priority: low Milestone: 6.1.0
Component: s3 Version: 6.0
Severity: minor Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.11

Description

Right clicking to see Copy URL options shows the shortcut ⇧⌘C next to both an HTTPS URL (https://s3.amazonaws.com/<bucket>/<filename>) and the S3 URL, but it actually returns the other HTTPS URL format (https://<bucket>.s3.amazonaws.com/<filename>). I don't recall seeing the duplicate shortcut hint on the S3 URL until just recently.

My preference is that ⇧⌘C would return the URL in the HTTPS URL format that it's currently displayed next to (bucket name in the path, not the domain).

Change History (6)

comment:1 in reply to: ↑ description ; follow-up: Changed on Jun 2, 2017 at 5:36:17 PM by Pensketch

Replying to mikeb:

Right clicking to see Copy URL options shows the shortcut ⇧⌘C next to both an HTTPS URL (https://s3.amazonaws.com/<bucket>/<filename>) and the S3 URL, but it actually returns the other HTTPS URL format (https://<bucket>.s3.amazonaws.com/<filename>). I don't recall seeing the duplicate shortcut hint on the S3 URL until just recently.

My preference is that ⇧⌘C would return the URL in the HTTPS URL format that it's currently displayed next to (bucket name in the path, not the domain).

If I understand what you are referring to, I've seen that for a long time; over a year at least now. ⇧⌘C doesn't get the correct https URL.

As an example:

https://s3.amazonaws.com/3gengagement.graphics.dept/_collin/bg_grey.jpg

is the first link that appears for that file on AS3 when right-clicking that has the ⇧⌘C shortcut displayed next to it. But if I actually use ⇧⌘C it copies this, the second link available with the ⇧⌘C next to it:

https://3gengagement.graphics.dept.s3.amazonaws.com/_collin/bg_grey.jpg

If you follow that link, it takes you to a warning page saying "Your connection is not private", making it an absolutely worthless link to be copying.

The big problem for my team is the additional time it takes to right click on a group of files at one time to get the links, because it has to generate ALL link options, compared to just hitting ⇧⌘C.

It's frustrating. If I could just clear out all "copy" shortcuts and assign one to the URL type that I actually want, it would be a huge help. I don't even know how it allows there to be duplicate shortcuts.

comment:2 in reply to: ↑ 1 Changed on Jun 2, 2017 at 5:47:21 PM by mikeb

Replying to Pensketch:

If I understand what you are referring to, I've seen that for a long time; over a year at least now. ⇧⌘C doesn't get the correct https URL.

Pensketch, thanks for elaborating. That's a perfect example. My motivation, too, is that the URLs currently returned often will not match the certificate (definitely the case if a bucket name contains a period) and are therefore insecure and unusable to any sensible http client.

comment:3 Changed on Jun 2, 2017 at 6:12:38 PM by dkocher

  • Milestone set to 7.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:4 Changed on Jun 6, 2017 at 8:42:57 AM by dkocher

  • Milestone changed from 7.0 to 6.1

comment:5 Changed on Jun 20, 2017 at 7:31:23 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r41505.

comment:6 Changed on Oct 21, 2018 at 2:51:02 PM by dkocher

  • Milestone changed from 6.1 to 6.1.0

Milestone renamed

Note: See TracTickets for help on using tickets.